<bugID>1069757<Summary>browser_urlbarCopying.js fails with e10s</Summary><Description>Created attachment 8492004
0001-Bug-XXXXXXX-fix-urlbarCopying-test-under-e10s.-r-dao.patch

browser_urlbarCopying.js is currently disabled due to its use of the clipboard (bug 932651) - however, once that is fixed there is one remaining problem.  The test waits for a "load" event on the child &lt;browser&gt;, but this fires too early for the test - the currentURI hasn't been updated by that point.

This patch adds a web-progress listener and performs the check once onLocationChange fires.

Asking dao for review as he has touched this file relatively recently...</Description></bugID>